API: Admin endpoints¶
Warning
These endpoints are only for application administrators and internal integrations. They require special permissions.
/admin:details¶
GET /admin:details¶
Get details of the EduBase instance.
[] Output:
- string id: application identifier
- string instance: instance identifier
- string namespace: unique namespace
- string title: title
- string index: HTTP index (with protocol, domain and base URL)
- string/null customer: customer identifier (if present)
- integer instances: number of instances running
/admin:maintenance¶
GET /admin:maintenance¶
Get maintenance status.
[] Output:
- boolean status: maintenance mode status
POST /admin:maintenance¶
Set maintenance mode. Without arguments it enables maintenance mode.
[] Input:
- boolean status: status
- default: true
- string message: maintenance mode message
[] Output:
- boolean success: operation was successful
- boolean status: new maintenance mode status (on success)
DELETE /admin:maintenance¶
Disable maintenance mode.
[] Output:
- boolean success: operation was successful
- boolean status: maintenance mode status (on success)
/admin:features¶
GET /admin:features¶
Get list of configurable features. Optionally for a specific user or group.
[] Input:
- string user: user identification string
- string usergroup: user group identification string
[] Output:
- list features
- string feature: feature flag name
- boolean status: current status
- boolean override: feature is overriden for selected user or group (only when user or group is specified)
- boolean global: feature can only be set globally, not overridable on user or user group level (only when no user or group is specified)
/admin:feature¶
GET /admin:feature¶
Get feature flag status. Optionally for a specific user or group.
[] Input:
- [!] string feature: feature flag name
- string user: user identification string
- string usergroup: user group identification string
[] Output:
- string feature: feature flag name
- boolean override: feature is overriden for selected user or group
- boolean status: current status
POST /admin:feature¶
Set feature flag status. Optionally for a specific user or group (as override).
[] Input:
- [!] string feature: feature flag name
- [!] boolean status: status
- string user: user identification string
- string usergroup: user group identification string
[] Output:
- boolean success: operation was successful
- string feature: feature flag name (on success)
- boolean status: new status (on success)
/admin:usergroup:permissions¶
GET /admin:usergroup:permissions¶
Get list of permissions for a specific user group.
[] Input:
- [!] string usergroup: user group identification string
[] Output:
- list permissions
- string permission: permission
- integer/boolean value: value
/admin:usergroup:permission¶
GET /admin:usergroup:permission¶
Get permission for a specific user group.
[] Input:
- [!] string usergroup: user group identification string
- [!] string permission: permission name
[] Output:
- string permission: permission name
- boolean value: current value
POST /admin:usergroup:permission¶
Set permission for a specific user group.
[] Input:
- [!] string usergroup: user group identification string
- [!] string permission: permission name
- [!] boolean value: value
[] Output:
- boolean success: operation was successful
- string permission: permission name (on success)
- boolean value: new value (on success)
/admin:user¶
GET /admin:user:export¶
Get latest valid GDPR export download link for user.
[] Input:
- [!] string user: user identification string
- string language: desired language of the export file
[] Output:
- string user: the user identification string
- string[url] url: the download link
- datetime valid: validity of the generated link
POST /admin:user:export¶
Generate download link for user GDPR export. If a valid link with the same settings exist, it will be returned instead of creating a new one.
[] Input:
- [!] string user: user identification string
- string language: desired language of the export file
[] Output:
- string user: the user identification string
- string[url] url: the download link
- datetime valid: validity of the generated link
DELETE /admin:user:export¶
Delete a previously generated link.
[] Input:
- [!] string user: user identification string
- [!] string[url] url: generated download link to be invalidated